Craftbukkit 1.1-R6

Discussion in 'Bukkit Help' started by max rammelt, Mar 2, 2012.

Thread Status:
Not open for further replies.
  1. Offline

    max rammelt

    Hello,
    i downloaded the new recommended build craftbukkit 1.1-R6. When i put the jar. file into a folder and create the run.bat there appears a list of errors. I have the newest version of minecraft 1.2.3.
    Now what is to do? somebody can maybe put the text for the run.bat?

    Thank you
     
  2. Offline

    JWhy

    Code:
    @ECHO OFF
    PAUSE
    java -Xincgc -Xmx1G -jar craftbukkit.jar
    PAUSE
    Works for me very good
     
  3. Offline

    max rammelt

    hey, thank you but it doesnt work. Must i change the name of the craftbukkit 1.1-R6 to craftbukkit? i dont know why it doenst work....
     
  4. Offline

    JWhy

    Code:
    @ECHO OFF
    PAUSE
    java -Xincgc -Xmx500M -jar craftbukkit.jar
    PAUSE
    Use this start.bat and call the downloaded file 'craftbukkit.jar'. Will work after every update, just call the .jar craftbukkit.jar
     
  5. Offline

    RLS0812

    -jar craftbukkit-1.1-R6-20120301.142116-2.jar

    instead of

    -jar craftbukkit.jar
     
  6. Offline

    max rammelt

    i dont understand. Please write what i have to do to host a bukkit server.
    Like
    1. download recommended craftbukkit.....



    The Codo dont work!
     
  7. Offline

    quickclay

    You are not ready, Young Jedi.
     
    Danzeee and Jarrrk like this.
  8. Offline

    max rammelt

    xD Ehm can somebody upload a 1.1-R6 server?

    THanks

    ehm i have the minecraft version 1.2.3 but the bukkit server version is 1.1-R6 dont know why :D the old versions like 1.8 worked at my pc

    all with the 1.1-R.... dont work

    Help pls

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: May 24, 2016
  9. Offline

    edt

    I am having a similar problem. I have been running my own server since December(used imminent fate's installer with pail and pail plus). These last craftbukkit updates haven't been good for me(go to run it as I usually would have and the command box flashes and that's it). Due to that issue I just used the older version of craftbukkit and had no problem.

    Yesterday I decided to start from scratch. I downloaded the newest craftbukkit and wrote my run.bat file. It will run but I get a warning message of "Could not get current artifact information; perhaps you are running a custom version?"FileNotFoundException"
    My bat file is the one from this page: http://wiki.bukkit.org/Setting_up_a_server

    And with that I am unable to log into it, it times out. Being that I wanted to play I instead used the standard minecraft server, it works fine. I can login as normal , play, etc. The problem is, I want craftbukkit.

    I am very new. May not be ready but I am asking for help.

    Thank you
     
  10. Offline

    Greylocke

    I'm thinking that you need to do a little more research. For starters, Minecraft 1.2.3 and bukkit R6 are two different things. You run one OR the other, but not both. They're even different versions -- R6 is MC 1.1.

    There is no recommended bukkit release for MC 1.2.x yet. Heck, even Mojang's 1.2 software isn't stable yet. But you can setup an R6 (1.1) server, get everything working, and then you'll be ready for bukkit's 1.2 software when it comes out.

    Check the bukkit wiki for handy server setup instructions: http://wiki.bukkit.org/Setting_up_a_server
     
  11. Offline

    sillyrosster

    R6 is MC version 1.1. You will have to use a dev build for the server to be 1.2.3.

    If the build has 1.1 in it, its for MC 1.1, if it has 1.2.* in it, it will be for 1.2.* and so on.
     
  12. Offline

    edt

    That's explains my problem. Thank you for the helpful answer.
     
  13. Offline

    Sayshal

    Okay here I go on my rant to save they day/discourage you.
    1) There is NO RECOMMENDED BUILD FOR 1.2.x
    [quote uid=36632 name="max rammelt" post=995485]
    i downloaded the new recommended build craftbukkit 1.1-R6.
    I have the newest version of minecraft 1.2.3.
    [/quote]
    2) You are very inexperienced with a computer, I can tell by the way you talk, the way you reply to peoples' help, and the way you fail to understand simple instructions. Look here for information: <Edit by Moderator: Redacted bit url>

    3) If you seriously can't do those things then don't run a minecraft server. There are thousands of minecraft servers out there ready for you to explore and grief and whatever you kids do. :)
     
    Last edited by a moderator: Feb 20, 2017
  14. Offline

    LetCraft

    Thanks!
    Knew r6 wasn't for minecraft 1.2.3..
     
  15. Offline

    max rammelt

    ok thank you. Maybe i dont understand all because im from germany. BUT
    IF I DO A RUN.bat IN A FOLDER AND COPY THE NEWEST craftbukkit 1.1-R6 INTO THE FOLDER AND RUN THE .bat NOTHING HAPPENS. there says:

    Unable to acces jarfile craftbukkit.jar




    Im using this code:
    Echo OFF
    SET BINDIR=%~dp0
    CD /D "%BINDIR%"
    "%ProgramFiles(x86)%\Java\jre6\bin\java.exe" -Xmx1024M -Xms1024M -jar craftbukkit.jar
    PAUSE

    But ok now it works... Do i have to download MC 1.1?

    Thank you all!
     
  16. Offline

    Greylocke

    max rammelt
    the Minecraft version of your client and server need to match. So if you've got Minecraft 1.1 game and bukkit R6 (MC 1.1) then you'll be fine. If you've updated your Minecraft game, then it is now 1.2 and will not work with bukkit R6 becasue R6 is 1.1.
     
  17. Offline

    max rammelt

    yes it works. Thank you!
     
  18. Offline

    Greylocke

    nice. In the future, be sure to rename any new craftbukkit files to "craftbukkit.jar". That way your batch file will always be able to find it.
     
  19. Offline

    max rammelt

    i have one more question :D how can i set up the server with hamchi? i watched tutorials on youtube but it doesnt work. Somebody know how to?
     
  20. Offline

    chaseoes Retired Staff

    Those who can't successfully upgrade to a new build shouldn't be running servers.
     
    Danzeee likes this.
  21. Offline

    max rammelt

    i can do it and i have done.....
    its just for me and friends...
    tunngle doenst work at one of my friends and i want to use hamachi now
     
  22. Offline

    Calleske

    Just go to
    Just go to https://secure.logmein.com/products/hamachi/download.aspx and download hamachi, than open it and create a network, give it a name: ... and a password: ... . Let all your friends download hamachi and let them join your network with the name and the password. Isn't that easy? :D
     
  23. Offline

    Danzeee

    DON'T USE HAMACHI! PLEASE I beg of you
     
Thread Status:
Not open for further replies.

Share This Page